[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: PHP 5.4 in Debian Backports

* Ondřej Surý <ondrej@sury.org> [2012-03-27 10:25:08 CEST]:
> PHP packaging team has uploaded (now fixed) PHP 5.4 version to
> backports in effort to make the upgrade to next stable as smooth as
> possible, e.g. we want to allow people to test their code with PHP 5.4
> before the upgrade.
> This upload is binary incompatible with binary modules compiled
> against PHP 5.3. We (which mainly means me) are willing to provide
> backports also to the most used modules in the PHP. Feel free to ping
> me or the rest of the team (pkg-php-maint@lists.alioth.debian.org)
> with requests to backport reverse dependencies of PHP (APC? XDebug?
> XCache?)

 From working on stable RC bug list I noticed a fair amount of packages
that had a RC bug because they don't work with php 5.4.  What's the plan
to deal with those, is it planned to get them fixed for squeeze too, or
do you accept the incompatibility and just wait for people to tell you
that they need it and then backport those packages, too?  From what I
seem to remember those weren't just modules but also application

Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |

Reply to: